%global gem_name yajl-ruby

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}.148
Summary: Ruby C bindings to the excellent Yajl JSON stream-based parser library
Group: Development/Languages
License: MIT
URL: https://github.com/brianmario/yajl-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 1.8.6
# BuildRequires: rubygem(rake-compiler) >= 0.7.5
# BuildRequires: (rubygem(rspec) >= 3.0 with rubygem(rspec) < 4)
# BuildRequires: (rubygem(activesupport) >= 3.1.2 with rubygem(activesupport) < 3.2)
# BuildRequires: rubygem(json)

%description
Ruby C bindings to the excellent Yajl JSON stream-based parser library.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/yajl
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/yajl/*.so %{buildroot}%{gem_extdir_mri}/yajl/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/



# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/benchmark
%{gem_libdir}
%{gem_instdir}/script
%{gem_instdir}/tasks
%exclude %{gem_instdir}/yajl-ruby.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/spec

%changelog
* Wed May 23 2018 Oleg Girko <ol@infoserver.lv> - 1.3.1
- Update to 1.3.1
* Fri Apr 21 2017 Oleg Girko <ol@infoserver.lv> - 1.3.0
- Update to 1.3.0
- Remove support for old Fedora versions from spec file
* Tue Jan  6 2015 Oleg Girko <ol@infoserver.lv> - 1.2.1
- Update to 1.2.1
* Sun Dec 28 2014 Oleg Girko <ol@infoserver.lv> - 1.1.0
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1
* Mon Sep 23 2013 Oleg Girko <ol@infoserver.lv> - 1.1.0
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
* Fri Jun  7 2013 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Initial package
